QGIS Application - Feature request #3651
Possibility to set rotation constraint for pal label candidate generation
2011-03-20 02:54 PM - John Tull

Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category: Vectors

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 13710
Description

For new generation labeling, in order to get field-based rotation to work (or even show fields as available), you must also set x and y
fields. Additionally, the rotations are not applied unless you edit the layer and move a label.

The expectation is that you can set a field for rotation whether or not you have x and y position fields for a given layer. Additionally, the
rotation should be applied without having to first edit the individual labels.

History

#1 - 2011-03-24 02:04 PM - Marco Hugentobler
The new labeling has two distinct modes:
1. fully automatic mode: pal library determines possible positions and rotations (depending on placement options set)

2. fully data defined mode: one candidate position with fixed position and optionally rotation is forced

What you describe would be a way to go with 1. but to specify a rotation. This is not totally impossible, but requires enhancements in the candidate
generation code of the pal library. I'm therefore changing the type of this ticket.

#2 - 2011-12-16 01:48 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#3 - 2012-04-15 10:11 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#4 - 2012-10-06 02:35 AM - Pirmin Kalberer
- Target version changed from Version 2.0.0 to Future Release - Nice to have

#5 - 2012-10-12 01:58 AM - Larry Shaffer

- Pull Request or Patch supplied set to No

- Status changed from Open to Closed

This should be fixed with commit commit:8a347eb and subsequent followup commits.

Please reopen if necessary.
